<?php
/**
 * Active callback functions.
 *
 * @package Fotoografia
 */

function fotoografia_header_background_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_header_background_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}


function fotoografia_counter_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_counter_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_about_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_about_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_about_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[about_content_type]' )->value();
    return ( fotoografia_about_active( $control ) && ( 'about_custom' == $content_type ) );
} 

function fotoografia_about_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[about_content_type]' )->value();
    return ( fotoografia_about_active( $control ) && ( 'about_page' == $content_type ) );
}

function fotoografia_about_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[about_content_type]' )->value();
    return ( fotoografia_about_active( $control ) && ( 'about_post' == $content_type ) );
}

function fotoografia_about_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[about_content_type]' )->value();
    return ( fotoografia_about_active( $control ) && ( 'about_category' == $content_type ) );
}


//========================Details Section=====================//

function fotoografia_details_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_details_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_details_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[details_content_type]' )->value();
    return ( fotoografia_details_active( $control ) && ( 'details_custom' == $content_type ) );
} 

function fotoografia_details_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[details_content_type]' )->value();
    return ( fotoografia_details_active( $control ) && ( 'details_page' == $content_type ) );
}

function fotoografia_details_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[details_content_type]' )->value();
    return ( fotoografia_details_active( $control ) && ( 'details_post' == $content_type ) );
}
//===================End Details Section==============//


//========================Services Section=====================//
function fotoografia_services_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_services_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}
function fotoografia_services_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[services_content_type]' )->value();
    return ( fotoografia_services_active( $control ) && ( 'services_page' == $content_type ) );
}

function fotoografia_services_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[services_content_type]' )->value();
    return ( fotoografia_services_active( $control ) && ( 'services_post' == $content_type ) );
}

function fotoografia_services_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[services_content_type]' )->value();
    return ( fotoografia_services_active( $control ) && ( 'services_category' == $content_type ) );
}
//===================End Services Section==============//



function fotoografia_popular_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_popular_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_popular_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[popular_content_type]' )->value();
    return ( fotoografia_popular_active( $control ) && ( 'popular_page' == $content_type ) );
}

function fotoografia_popular_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[popular_content_type]' )->value();
    return ( fotoografia_popular_active( $control ) && ( 'popular_post' == $content_type ) );
}

function fotoografia_popular_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[popular_content_type]' )->value();
    return ( fotoografia_popular_active( $control ) && ( 'popular_category' == $content_type ) );
}

function fotoografia_popular_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[popular_content_type]' )->value();
    return ( fotoografia_popular_active( $control ) && ( 'popular_custom' == $content_type ) );
}

function fotoografia_popular_seperator( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[popular_content_type]' )->value();
    return  fotoografia_popular_seperator( $control ) && ( in_array( $content_type, array( 'popular_page', 'popular_post', 'popular_custom' ) ) ) ;
}


function fotoografia_slider_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_featured-slider_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_slider_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( fotoografia_slider_active( $control ) && ( 'sr_page' == $content_type ) );
}

function fotoografia_slider_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( fotoografia_slider_active( $control ) && ( 'sr_post' == $content_type ) );
}

function fotoografia_slider_seperator( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return  fotoografia_slider_seperator( $control ) && ( in_array( $content_type, array( 'sr_page', 'sr_post', 'sr_custom' ) ) ) ;
}

function fotoografia_slider_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( fotoografia_slider_active( $control ) && ( 'sr_custom' == $content_type ) );
}

function fotoografia_slider_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sr_content_type]' )->value();
    return ( fotoografia_slider_active( $control ) && ( 'sr_category' == $content_type ) );
}


function fotoografia_blog_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_blog_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_blog_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[blog_content_type]' )->value();
    return ( fotoografia_blog_active( $control ) && ( 'blog_page' == $content_type ) );
}

function fotoografia_blog_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[blog_content_type]' )->value();
    return ( fotoografia_blog_active( $control ) && ( 'blog_post' == $content_type ) );
}

function fotoografia_blog_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[blog_content_type]' )->value();
    return ( fotoografia_blog_active( $control ) && ( 'blog_category' == $content_type ) );
}

function fotoografia_message_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_message_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_message_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[message_content_type]' )->value();
    return ( fotoografia_message_active( $control ) && ( 'message_custom' == $content_type ) );
} 

function fotoografia_message_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[message_content_type]' )->value();
    return ( fotoografia_message_active( $control ) && ( 'message_page' == $content_type ) );
}

function fotoografia_message_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[message_content_type]' )->value();
    return ( fotoografia_message_active( $control ) && ( 'message_post' == $content_type ) );
}
function fotoografia_video_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_video_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_trending_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_trending_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_trending_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[trending_content_type]' )->value();
    return ( fotoografia_trending_active( $control ) && ( 'trending_page' == $content_type ) );
}

function fotoografia_trending_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[trending_content_type]' )->value();
    return ( fotoografia_trending_active( $control ) && ( 'trending_post' == $content_type ) );
}

function fotoografia_trending_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[trending_content_type]' )->value();
    return ( fotoografia_trending_active( $control ) && ( 'trending_category' == $content_type ) );
}

function fotoografia_sensational_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_sensational_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_sensational_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sensational_content_type]' )->value();
    return ( fotoografia_sensational_active( $control ) && ( 'sensational_page' == $content_type ) );
}

function fotoografia_sensational_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sensational_content_type]' )->value();
    return ( fotoografia_sensational_active( $control ) && ( 'sensational_post' == $content_type ) );
}

function fotoografia_sensational_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[sensational_content_type]' )->value();
    return ( fotoografia_sensational_active( $control ) && ( 'sensational_category' == $content_type ) );
}

function fotoografia_mustread_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_mustread_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_mustread_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[mustread_content_type]' )->value();
    return ( fotoografia_mustread_active( $control ) && ( 'mustread_page' == $content_type ) );
}

function fotoografia_mustread_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[mustread_content_type]' )->value();
    return ( fotoografia_mustread_active( $control ) && ( 'mustread_post' == $content_type ) );
}

function fotoografia_mustread_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[mustread_content_type]' )->value();
    return ( fotoografia_mustread_active( $control ) && ( 'mustread_category' == $content_type ) );
}

function fotoografia_tips_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_tips_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_tips_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[tips_content_type]' )->value();
    return ( fotoografia_tips_active( $control ) && ( 'tips_page' == $content_type ) );
}

function fotoografia_tips_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[tips_content_type]' )->value();
    return ( fotoografia_tips_active( $control ) && ( 'tips_post' == $content_type ) );
}

function fotoografia_tips_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[tips_content_type]' )->value();
    return ( fotoografia_tips_active( $control ) && ( 'tips_category' == $content_type ) );
}

function fotoografia_featured_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_featured_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}


function fotoografia_cta_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_cta_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_cta_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[cta_content_type]' )->value();
    return ( fotoografia_cta_active( $control ) && ( 'cta_custom' == $content_type ) );
} 

function fotoografia_cta_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[cta_content_type]' )->value();
    return ( fotoografia_cta_active( $control ) && ( 'cta_page' == $content_type ) );
}

function fotoografia_cta_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[cta_content_type]' )->value();
    return ( fotoografia_cta_active( $control ) && ( 'cta_post' == $content_type ) );
}

function fotoografia_featured_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[featured_content_type]' )->value();
    return ( fotoografia_featured_active( $control ) && ( 'featured_page' == $content_type ) );
}

function fotoografia_featured_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[featured_content_type]' )->value();
    return ( fotoografia_featured_active( $control ) && ( 'featured_post' == $content_type ) );
}

function fotoografia_featured_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[featured_content_type]' )->value();
    return ( fotoografia_featured_active( $control ) && ( 'featured_category' == $content_type ) );
}

function fotoografia_testimonial_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[disable_testimonial_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function fotoografia_testimonial_custom( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[testimonial_content_type]' )->value();
    return ( fotoografia_testimonial_active( $control ) && ( 'testimonial_custom' == $content_type ) );
} 

function fotoografia_testimonial_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[testimonial_content_type]' )->value();
    return ( fotoografia_testimonial_active( $control ) && ( 'testimonial_page' == $content_type ) );
}

function fotoografia_testimonial_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[testimonial_content_type]' )->value();
    return ( fotoografia_testimonial_active( $control ) && ( 'testimonial_post' == $content_type ) );
}

function fotoografia_testimonial_category( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[testimonial_content_type]' )->value();
    return ( fotoografia_testimonial_active( $control ) && ( 'testimonial_category' == $content_type ) );
}

function fotoografia_contact_info_ac( $control ) {
    if( $control->manager->get_setting( 'theme_options[show_header_contact_info]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}


function fotoografia_social_links_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[show_header_social_links]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

