<?php 
/**
 * Template part for displaying Featured Slider Section
 *
 *@package Fotoografia
 */
    $sr_content_type   = fotoografia_get_option( 'sr_content_type' );
    $slider_category = fotoografia_get_option( 'slider_category' );
    $slider_speed   = fotoografia_get_option( 'slider_speed' );
    
    for( $i=1; $i<=3; $i++ ) :
        $featured_slider_posts[] = fotoografia_get_option( 'slider_post_'.$i );
    endfor;
    ?>
    
    <div class="featured-slider-wrapper " 
        data-slick='{"slidesToShow": 1,
         "slidesToScroll": 1, 
         "infinite": true, 
         "speed": <?php echo esc_attr( $slider_speed) ?>, 
         "dots": true, 
         "arrows":true, 
         "autoplay":true, 
         "fade": false }'>

            <?php if( ( $sr_content_type =='sr_post') || ( $sr_content_type =='sr_category') ) { ?>
            <?php 

             if( $sr_content_type == 'sr_post' ) :
                $args = array (
                
                'post_type'     => 'post',
                'post_per_page' => count( $featured_slider_posts ),
                'post__in'      => $featured_slider_posts,
                'orderby'       =>'post__in',
            ); endif;

            if( $sr_content_type == 'sr_category' ) :
                $args = array (

                    'posts_per_page' =>3,              
                    'post_type' => 'post',
                    'post_status' => 'publish',
                    'paged' => 1,
                    );
                    if ( absint( $slider_category ) > 0 ) {
                        $args['cat'] = absint( $slider_category );
                    }
            endif;
 

            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
            $i=0;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>

                    <article class="slick-item" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
                        
                        <div class="overlay"></div>

                        <div class="wrapper">
                            <div class=" featured-content-wrapper">
                                <header class="entry-header">

                                    <a href="<?php the_permalink();?>" >
                                        <h2 class="entry-title" ><?php the_title();?></h2>
                                    </a>
                                </header>

                                    

                                    <div class="separator"></div>
                                    <div class="entry-meta">
                                        <?php
                                            fotoografia_posted_on();
                                            fotoografia_posted_author();
                                         ?>
                                    </div><!-- .entry-meta -->
                                <?php
                                $readmore_text   = fotoografia_get_option( 'slider_custom_btn_text_' . $i ); 
                                if ( ! empty( $readmore_text ) ) { ?>
                                    <div class="read-more">
                                        <a href="<?php the_permalink();?>" class="btn btn-primary"><?php echo esc_html($readmore_text);?></a>
                                    </div><!-- .read-more -->
                                <?php } ?>
                            </div><!-- .featured-content-wrapper -->
                        </div><!-- .wrapper -->
                    </article><!-- .slick-item -->
                <?php endwhile;?>
                <?php wp_reset_postdata();
            endif;?>
        <?php 
        }?>
    
    </div><!-- .featured-slider-wrapper -->