<?php 
/**
 * Template part for displaying Services Section
 *
 *@package Fotoografia
 */

    $services_title       = fotoografia_get_option( 'services_title' );
    $services_content_type     = fotoografia_get_option( 'services_content_type' );
    $services_category = fotoografia_get_option( 'services_category' );
    $disable_services_icon = fotoografia_get_option( 'disable_services_icon' );

    for( $i=1; $i<=6; $i++ ) :
        $services_post_posts[] = absint(fotoografia_get_option( 'services_post_'.$i ) );
        $services_icon   = fotoografia_get_option( 'services_icon_'.$i );
    endfor;
    ?>

    <?php if( !empty($services_title) ):?>
        <div class="section-header">
        <?php if( !empty($services_title)):?>
            <h2 class="section-title"><?php echo esc_html($services_title);?></h2>
        <?php endif;?>
        </div>
        
    <?php endif; 

    ?>
    
    <div class="section-content col-3">
        <?php if(( $services_content_type =='services_post') || ( $services_content_type =='services_category') ) { ?>
            <?php 
            if( $services_content_type == 'services_post' ) :
                $args = array (
                    'post_type'     => 'post',
                    'post_per_page' => count( $services_post_posts ),
                    'post__in'      => $services_post_posts,
                    'orderby'       =>'post__in', 
                    'ignore_sticky_posts' => true, 
                ); 
            endif;
            if( $services_content_type == 'services_category' ) :
                $args = array (

                    'posts_per_page' =>6,              
                    'post_type' => 'post',
                    'post_status' => 'publish',
                    'paged' => 1,
                    'ignore_sticky_posts' => true, 
                    );
                    if ( absint( $services_category ) > 0 ) {
                        $args['cat'] = absint( $services_category );
                    }
            endif;
            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
                $i=0;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>
                        <article>
                            <div class="services-item-wrapper">
                                <?php 
                                $services_icon = fotoografia_get_option( 'services_icon_'.$i );
                                if ( ( true == $disable_services_icon ) && !empty($services_icon) ) { ?>
                                    <div class="icon-container">
                                        <a href="<?php the_permalink();?>">
                                            <i class="fa <?php echo esc_attr( $services_icon)?>"></i>
                                        </a>
                                    </div>
                                <?php  } ?>
                                <?php if ( ( has_post_thumbnail() ) && ( false == $disable_services_icon )  ) : ?>
                                    <div class="featured-image">
                                        <img src="<?php the_post_thumbnail_url('large'); ?>"/>
                                    </div><!-- .featured-image -->
                                <?php endif; ?>
                                <div class="services-content">
                                    <header class="entry-header">
                                        <h2 class="entry-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                                    </header>
                                        <div class="entry-content">
                                            <?php
                                                $excerpt = fotoografia_the_excerpt( 15 );
                                                echo wp_kses_post( wpautop( $excerpt ) );
                                            ?>
                                        </div><!-- .entry-content -->
                                </div>
                          </div>
                        </article>
                <?php endwhile;?>
            <?php endif; ?>
            <?php wp_reset_postdata(); ?>
       <?php } ?>
    </div> 